import matplotlib.pyplot as plt

t = []
U=[]
#ouverture du fichier csv en lecture
fichier= open('valeurs.csv','r')
fichier.readline()

#lecture du tableau ligne par ligne pour remplir progressivement
# les variables en remplaçant les , par des .
for ligne in fichier:
    ligne_lue=ligne.split(';')
    t.append(float(ligne_lue[0].replace(',','.')))
    U.append(float(ligne_lue[1].replace(',','.')))

fichier.close()

plt.scatter(t,U, marker="+", label='U=f(t)')
plt.xlabel('temps en ms')
plt.ylabel('U en V')


plt.grid()
plt.legend()
plt.savefig("charge_decharge.png")
plt.show()

